@import url('https://fonts.googleapis.com/css2?family=JetBrains+Mono:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800&family=Noto+Sans+JP:wght@100;300;400;500;700;900&display=swap');
:root{
    --border-color: #c5d1d6;
    --border: 1px solid var(--border-color);
}
body{
    margin: 0;
    font-family: 'JetBrains Mono', 'Noto Sans JP', sans-serif;
}
header{
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 60px;
    background: #fff;
    box-shadow: 0 1px 0 var(--border-color);
    font-size: 30px;
    font-weight: 800;
    font-style: italic;
    user-select: none;
    -moz-user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
}

.main-title{
    text-align: center;
    padding: 48px;
}
.main-title h1{
    display: inline-block;
    font-size: 32px;
    margin: 0;
    padding-bottom: 8px;
    border-bottom: 1px solid #1b1b1b;
}
.main-title p{
    font-size: 16px;
    margin: 0;
    padding-top: 8px;
}
.wrap-app-boxs{
    display: flex;
    gap: 48px;
    flex-wrap: wrap;
    justify-content: center;
    width: calc(100% - 48px);
    max-width: 1148px;
    margin: 0 auto;
}
.wrap-app-boxs a{
    text-decoration: none;
    color: #1b1b1b;
}
.app-box{
    width: 332px;
    border: var(--border);
    transition: box-shadow 0.2s;
}
.app-box-img{
    position: relative;
    width: 100%;
    background-color: var(--border-color);
    overflow: hidden;
}
.app-box-img::before{
    content:"";
    display: block;
    padding-top: 56.25%; /* 高さを幅の75%に固定 */
}
.app-box-img img{
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    height: auto;
    width: auto;
    max-width: 100%;
    max-height: 100%;
    margin: auto;
    transition: all 0.2s;
}
.app-box-info{
    padding: 16px;
}
.app-box-title{
    font-size: 20px;
    font-weight: 600;
    margin-bottom: 8px;
}
.app-box-url{
    font-size: 12px;
    color: #707070;
}

/*hover*/
.app-box:hover{
    box-shadow: 0 3px 6px var(--border-color);
    transition: box-shadow 0.2s;
}
.app-box:hover .app-box-img img{
    top: -5%;
    left: -5%;
    bottom: -5%;
    right: -5%;
    max-width: 110%;
    max-height: 110%;
    transition: all 0.4s;
}

.dummy-app-box{
    width: 332px;
    background: #f5f5f6;
    border: var(--border);
}
.dummy-app-box-img{
    position: relative;
    width: 100%;
    background-color: #f5f5f6;
    overflow: hidden;
}
.dummy-app-box-img::before{
    content:"";
    display: block;
    padding-top: 56.25%; /* 高さを幅の75%に固定 */
}
.dummy-app-box-info{
    height: 82px;
}
@media screen and (max-width:1145px) { 
    .wrap-app-boxs .dummy-app-box{
        /*display: none;*/
    }
}

@media screen and (max-width:763px) { 
    .wrap-app-boxs .dummy-app-box{
        display: none;
    }
}

/*footer*/
footer{
    margin-top: 24px;
    padding: 24px;
    text-align: center;
}